# Contributing to Laravel 12 Docs MCP Server

Thank you for considering contributing to this project! Here's how you can help.

## Code of Conduct

This project follows a code of conduct that expects all contributors to be respectful and inclusive.

## How to Contribute

### Reporting Bugs

If you find a bug, please create an issue with:

- A clear title and description
- Steps to reproduce the issue
- Expected and actual behavior
- Screenshots if applicable
- Any relevant code snippets

### Suggesting Enhancements

Enhancement suggestions are welcome! Please include:

- A clear title and description of the enhancement
- Step-by-step description of the suggested enhancement
- Any relevant examples
- Why this enhancement would be useful

### Pull Requests

1. Fork the repository
2. Create a new branch (`git checkout -b feature/amazing-feature`)
3. Make your changes
4. Run tests if available
5. Commit your changes (`git commit -m 'Add some amazing feature'`)
6. Push to the branch (`git push origin feature/amazing-feature`)
7. Open a Pull Request

#### Pull Request Guidelines

- Update the README.md with details of changes if applicable
- Update the example code if applicable
- The PR should work for Python 3.8+
- Include relevant tests if possible

## Development Setup

1. Fork and clone the repository
2. Install dependencies: `uv pip install -r requirements.txt`
3. Create a test directory with some markdown files for testing

## Testing

Please ensure your changes are tested before submitting a pull request.

## Documentation

If you're adding new features, please update the documentation accordingly.

## License

By contributing, you agree that your contributions will be licensed under the project's MIT License.